XenForo 2.2.7 (Patch 1) + narzędzia importowania

dave

Członek ekipy
Witam,

pojawiła się właśnie nowa wersja XenForo oznaczona odpowiednio numerami 2.2.7. Jest to ważny update zawierający, jak zwykle, zgłoszone błędy, choć autorzy przypominają, że w tym wydaniu rozwiązano problem związany ze spoofingiem adresów IP w bardzo specyficznych okolicznościach z wykorzystaniem wcześniej zaufanych adresów.

ℹ️ Klienci korzystający z usługi XenForo Cloud zostaną odpowiednio poinformowani o zaplanowanej dacie aktualizacji, więc tak naprawdę nie muszą nic robić. O usłudze XenForo Cloud pisałem już tutaj:


⚠️ Deweloperzy XenForo polecają wykonać tę aktualizację ręcznie, z wykorzystaniem CLI, jeśli w bazie danych forum tabele xf_attachment oraz xf_attachmet_data zawierają sporo rekordów (kilka milionów wpisów). Metoda automatyczna mogłaby w tym wypadku znacznie wydłużyć proces aktualizacji i zakończyć się fiaskiem.

⚠️ XenForo 2.2.7 to pierwsza wersja, która usuwa dane rozszerzeń, które zostały wcześniej odinstalowane. Warto mieć to na uwadze, ponieważ po ponownej aktywacji teoretycznie odinstalowanego rozszerzenia, dane takiego rozszerzenia nie zostaną przywrócone.

⚠️ Jeśli po zalogowaniu się do kokpitu XenForo nie ma informacji o dostępnej aktualizacji, wystarczy wejść kolejno do Narzędzia > Sprawdź aktualizacje.

Jak zwykle, za przed każdą aktualizacją zaleca się utworzenie kopii bazy danych forum, a także plików samego forum. Wykaz poprawionych błędów znajduje się poniżej.

 
Ostatnia edycja:

dave

Członek ekipy
Narzędzie do importowania danych do XenForo również zostało zaktualizowane i oznaczone numerami 1.5.1. W tej wersji poprawiono błędy związane z przenoszeniem niektórych danych z platformy Discourse.

 

dave

Członek ekipy
W kwestii aktualizacji języka polskiego, na pewno stosowna aktualizacja zostanie wydana. Do piątku jestem jeszcze na urlopie, a później zobaczymy. Na pierwszy rzut pójdzie aktualizacja fraz, które najpewniej zmieniły się w tej wersji. Samo tłumaczenie kontynuowane będzie po urlopie.
 

dave

Członek ekipy

XenForo 2.2.7 Patch 1​

Wczoraj na łamach serwisu XenForo ogłoszono informację o wypuszczeniu poprawki błędu, który omyłkowo został wdrożony do XenForo 2.2.7. Błąd ten powodował podniesienie minimalnych wymagań PHP do wersji 7.1. Jeśli na serwerze zainstalowano PHP 7.0, XenForo może uniemożliwić korzystanie z forum, dlatego Patch 1 niweluje ten problem.

Dodatkowo twórcy XenForo zalecają w przyszłości aktualizację PHP do wersji nowszej niż 7.2.5, ponieważ to właśnie ta wersja PHP zostanie wpisana do wymagań minimalnych dla nadchodzącego XenForo 2.3. Według deweloperów, najbardziej wskazaną opcją byłoby zaktualizowanie PHP od razu do wersji 8.0.

Aktualizacja ta nie dotyczy forów działających w usłudze XenForo Cloud.
 
Ostatnia edycja:
Góra Bottom